Bug 2009653 - [4.9] Bootimage bump tracker
Summary: [4.9] Bootimage bump tracker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.9
Hardware: Unspecified
OS: Unspecified
urgent
medium
Target Milestone: ---
: 4.9.0
Assignee: RHCOS Bug Bot
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 2004596
Blocks: 2009652 2011958 2011961
TreeView+ depends on / blocked
 
Reported: 2021-10-01 07:29 UTC by RHCOS Bug Bot
Modified: 2021-10-18 17:52 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2007086
: 2043298 (view as bug list)
Environment:
Last Closed: 2021-10-18 17:51:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5279 0 None Merged Bug 2009653: bump RHCOS 4.9 boot images 2021-10-11 11:31:27 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:52:15 UTC

Description RHCOS Bug Bot 2021-10-01 07:29:34 UTC
Tracker bug for bootimage bump in 4.9.  This bug should block bugs which need a bootimage bump to fix.

The previous bump was bug 2007086.

Comment 1 Mike Fiedler 2021-10-06 20:11:21 UTC
Marking this blocker+ for tracking since it is required to complete bug 2011050 fix.

Comment 6 HuijingHei 2021-10-11 11:29:30 UTC
Verify passed with OCP 4.9.0-rc.7

$ oc get clusterversion
NAME      VERSION      AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.9.0-rc.7   True        False         68m     Cluster version is 4.9.0-rc.7


$ oc -n openshift-machine-api get machinesets
NAME                                 DESIRED   CURRENT   READY   AVAILABLE   AGE
ci-ln-6cjrk1t-f76d1-r6s68-worker-a   1         1         1       1           87m
ci-ln-6cjrk1t-f76d1-r6s68-worker-b   1         1         1       1           87m
ci-ln-6cjrk1t-f76d1-r6s68-worker-c   1         1         1       1           87m
ci-ln-6cjrk1t-f76d1-r6s68-worker-f   0         0                             87m

$ oc -n openshift-machine-api get machinesets/ci-ln-6cjrk1t-f76d1-r6s68-worker-a -o yaml | grep image
            image: projects/rhcos-cloud/global/images/rhcos-49-84-202110081407-0-gcp-x86-64

matches boot image PR(https://github.com/openshift/installer/pull/5279)

"gcp": {
        "image": "rhcos-49-84-202110081407-0-gcp-x86-64",
...
    }

Comment 8 errata-xmlrpc 2021-10-18 17:51:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.